image: alpine:latest

stages:
    - test
    - deploy
  
pages-test:
  stage: test
  script:
    - echo "Teste, ob Projektname gesetzt ist..."
    - (! grep 'projektname= ""' public/settings.js)
    - echo "Teste, ob Projektseitenlink gesetzt ist..."
    - (! grep 'projektseitenlink= ""' public/settings.js)
    - echo "Teste, ob Kontaktperson gesetzt ist..."
    - (! grep 'Max Mustermann' public/kontakt.html)
  only:
    - test
  
pages:
  stage: deploy
  script:
    - echo "deploy to https://transfer.hft-stuttgart.de/pages/$CI_PROJECT_PATH/"
  artifacts:
    paths:
      - public
  only: 
    - master
